"""empty message

Revision ID: 01535deb3d3a
Revises: 
Create Date: 2022-06-21 20:51:41.593220

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '01535deb3d3a'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('tb_category_menu',
    sa.Column('id_cate_menu', sa.BigInteger(), nullable=False),
    sa.Column('name_cate_menu', sa.String(length=255), nullable=False),
    sa.Column('desc_cate_menu', sa.Text(), nullable=True),
    sa.Column('total_cate_menu', sa.BigInteger(), nullable=True),
    sa.Column('created_by', sa.Integer(), nullable=True),
    sa.Column('updated_by', sa.Integer(), nullable=True),
    sa.Column('created_at', sa.DateTime(), nullable=True),
    sa.Column('updated_at', sa.DateTime(), nullable=True),
    sa.Column('deleted_at', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('id_cate_menu')
    )
    op.create_table('tb_employee',
    sa.Column('id_emp', sa.BigInteger(), nullable=False),
    sa.Column('name_emp', sa.String(length=255), nullable=True),
    sa.Column('username_emp', sa.String(length=255), nullable=True),
    sa.Column('email_emp', sa.String(length=255), nullable=True),
    sa.Column('password_emp', sa.String(length=255), nullable=True),
    sa.Column('phone_emp', sa.BigInteger(), nullable=True),
    sa.Column('address_emp', sa.String(length=255), nullable=True),
    sa.Column('role_type_emp', sa.Integer(), nullable=True),
    sa.Column('logo_emp', sa.Text(), nullable=True),
    sa.Column('bearer_token', sa.String(length=255), nullable=True),
    sa.Column('remember_token', sa.String(length=255), nullable=True),
    sa.Column('status', sa.String(length=255), nullable=True),
    sa.Column('created_at', sa.DateTime(), nullable=True),
    sa.Column('updated_at', sa.DateTime(), nullable=True),
    sa.Column('deleted_at', sa.DateTime(), nullable=True),
    sa.Column('last_login_at', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('id_emp')
    )
    op.create_table('tb_event',
    sa.Column('id_event', sa.BigInteger(), nullable=False),
    sa.Column('name_event', sa.String(length=255), nullable=False),
    sa.Column('desc_event', sa.Text(), nullable=True),
    sa.Column('promo_code', sa.Text(), nullable=False),
    sa.Column('status_event', sa.Integer(), nullable=False),
    sa.Column('date_start_event', sa.DateTime(), nullable=False),
    sa.Column('date_end_event', sa.DateTime(), nullable=False),
    sa.Column('min_price', sa.BigInteger(), nullable=False),
    sa.Column('max_discount', sa.BigInteger(), nullable=False),
    sa.Column('discount_event', sa.BigInteger(), nullable=False),
    sa.Column('created_by', sa.Integer(), nullable=True),
    sa.Column('updated_by', sa.Integer(), nullable=True),
    sa.Column('created_at', sa.DateTime(), nullable=True),
    sa.Column('updated_at', sa.DateTime(), nullable=True),
    sa.Column('deleted_at', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('id_event')
    )
    op.create_table('tb_notification',
    sa.Column('id_notif', sa.BigInteger(), nullable=False),
    sa.Column('title_notif', sa.String(length=255), nullable=True),
    sa.Column('desc_notif', sa.Text(), nullable=True),
    sa.Column('read_status', sa.BigInteger(), nullable=True),
    sa.Column('created_at', sa.DateTime(), nullable=True),
    sa.PrimaryKeyConstraint('id_notif')
    )
    op.create_table('tb_menu',
    sa.Column('id_menu', sa.BigInteger(), nullable=False),
    sa.Column('cate_menu_id', sa.BigInteger(), nullable=False),
    sa.Column('name_menu', sa.String(length=255), nullable=False),
    sa.Column('logo_menu', sa.Text(), nullable=True),
    sa.Column('desc_menu', sa.Text(), nullable=True),
    sa.Column('stock_menu', sa.BigInteger(), nullable=False),
    sa.Column('price_menu', sa.BigInteger(), nullable=False),
    sa.Column('created_by', sa.Integer(), nullable=True),
    sa.Column('updated_by', sa.Integer(), nullable=True),
    sa.Column('created_at', sa.DateTime(), nullable=True),
    sa.Column('updated_at', sa.DateTime(), nullable=True),
    sa.Column('deleted_at', sa.DateTime(), nullable=True),
    sa.ForeignKeyConstraint(['cate_menu_id'], ['tb_category_menu.id_cate_menu'], ),
    sa.PrimaryKeyConstraint('id_menu')
    )
    op.create_table('tb_order',
    sa.Column('id_order', sa.BigInteger(), nullable=False),
    sa.Column('event_id', sa.BigInteger(), nullable=True),
    sa.Column('total_order', sa.BigInteger(), nullable=False),
    sa.Column('payment_order', sa.BigInteger(), nullable=False),
    sa.Column('changes_order', sa.BigInteger(), nullable=False),
    sa.Column('status_order', sa.BigInteger(), nullable=False),
    sa.Column('customer_name', sa.String(length=255), nullable=False),
    sa.Column('created_by', sa.Integer(), nullable=True),
    sa.Column('updated_by', sa.Integer(), nullable=True),
    sa.Column('created_at', sa.DateTime(), nullable=True),
    sa.Column('updated_at', sa.DateTime(), nullable=True),
    sa.Column('deleted_at', sa.DateTime(), nullable=True),
    sa.ForeignKeyConstraint(['event_id'], ['tb_event.id_event'], ),
    sa.PrimaryKeyConstraint('id_order')
    )
    op.create_table('tb_order_detail',
    sa.Column('id_order_detail', sa.BigInteger(), nullable=False),
    sa.Column('order_id', sa.BigInteger(), nullable=False),
    sa.Column('menu_id', sa.BigInteger(), nullable=False),
    sa.Column('price_order', sa.BigInteger(), nullable=False),
    sa.Column('qty_order_detail', sa.BigInteger(), nullable=False),
    sa.Column('subtotal_order_detail', sa.BigInteger(), nullable=False),
    sa.Column('created_at', sa.DateTime(), nullable=True),
    sa.Column('updated_at', sa.DateTime(), nullable=True),
    sa.Column('deleted_at', sa.DateTime(), nullable=True),
    sa.ForeignKeyConstraint(['order_id'], ['tb_order.id_order'], ),
    sa.PrimaryKeyConstraint('id_order_detail')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('tb_order_detail')
    op.drop_table('tb_order')
    op.drop_table('tb_menu')
    op.drop_table('tb_notification')
    op.drop_table('tb_event')
    op.drop_table('tb_employee')
    op.drop_table('tb_category_menu')
    # ### end Alembic commands ###
